package com.iformall.service;


import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.dto.WxSharingOrderDto;
import com.iformall.domain.po.WxProfitSharingOrder;
import com.iformall.domain.vo.WxProfitSharingOrderQueryVo;
import com.iformall.domain.vo.WxProfitSharingOrderVo;

import java.util.Map;

public interface WxProfitSharingOrderService {

    /**
     * 创建分账订单
     */
    ResultData createSharingOrder(WxSharingOrderDto wxSharingOrderDto);

    /**
     * 分账重试
     */
    ResultData redoSharingOrder(WxProfitSharingOrder sharingOrder);

    /**
     * 查询分账订单
     */
    ResultData querySharingOrder(WxProfitSharingOrder sharingOrderDto);

    /**
     * 结束分账订单
     */
    ResultData finishSharingOrder(WxSharingOrderDto sharingOrderDto);


    PageInfo<WxProfitSharingOrderVo> listAsPage(WxProfitSharingOrderQueryVo order, Integer pageNum, Integer pageSize);

    Map<String,Object> queryOrderSummary(String tenantId);

    ResultData findOrderDetails(Long id);

}
